<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width initial-scale=1" />
    <link href="safechat.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="openpgp.js"></script>
    <script type="text/javascript" src="safechat.js"></script>
    <link href="jquery.cssemoticons.css" media="screen" rel="stylesheet" type="text/css" />
    <script src="jquery.cssemoticons.js" type="text/javascript"></script>
    <title>Safe Chat</title>
  </head>

  <body>
    
    <div id="header" class="header">
      <h1>Safe Chat @PACKAGE_VERSION@</h1>
      <div id="togglemenu">
        <span id="username">[unknown]</span>
        <img id="menuicon" onclick="togglemenu()" src="menu.svg" />
      </div>
    </div>
    
    <ul id="menu" style="display: none">
      <li onclick="backup()">Download Backup</li>
      <li class="toolbutton"><label for="restore">Restore Backup</label><input autocomplete="off" type="file" accept="*.bak" id="restore" /></li>
      <li id="groups" onclick="groups()">Edit Groups</li>
      <li id="removeKey" style="display: none" onclick="removeKey()">Password Forgotten</li>
      <li id="android-download" href="safechat.apk"><a href="safechat.apk">Download Android-App</a></li>
      <li href="https://dev.marc.waeckerlin.org/redmine/projects/safechat/embedded/index.html" target="_blank"><a href="https://dev.marc.waeckerlin.org/redmine/projects/safechat/embedded/index.html" target="_blank">About Safe Chat</a></li>
    </ul>
    <script type="text/javascript">
      $(function() { // on load: without cordova, remove andoid-download
      if ("@CORDOVA@" == "0") $("#android-download").hide();
      if (!window.FileReader) $("#restore").hide(); // not supported by browser
      $("#groups").hide();
      })
      $("#restore").change(function(evt){restore(evt)});
    </script>
    
    <div id="main">

      <p>start up engine, please wait ...</p>
      
    </div>
    
<div id="status">
  
  <noscript>This is a secure and encryptet chat application, that runs
    in your browser and does not send any credentials to the
    server. Your password and your secret key is fully under your
    control. That's why you must enable javascript and local storage for
    this application.</noscript>
  
</div>
